/**
 * Created by WebStorm.
 * User: liulin
 * Date: 2018/8/28
 * Time: 下午5:54
 */
import { getCurCursorPosition, patchEnter } from '../../../mixin/docs'

export default {
  type: 'bold',
  regexObj: /(?:\*\*(.*)\*\*)/g,
  styleAttributes: {
    bold: true
  },
  options: null,
  handleMarkdown: (quill, content) => {
    const regexBold = /(?:\*\*(.*)\*\*)/g
    let patchEnterNum = patchEnter(content) / 2 - 1
    const matchIndex = content.search(regexBold) - patchEnterNum
    quill.deleteText(matchIndex, 2)
    quill.formatText(matchIndex, getCurCursorPosition(quill) - 2, 'bold', true)
    quill.deleteText(getCurCursorPosition(quill) - 2, 2)
    quill.format('bold', false)
  }
}
